dpkg conflict libmagic1 /etc/magic.mime

Preconfiguring packages ...
(Reading database ... 131336 files and directories currently installed.)
Preparing to replace libmagic1 4.26-1 (using .../libmagic1_5.04-5_i386.deb) ...
Unpacking replacement libmagic1 ...
dpkg: error processing /var/cache/apt/archives/libmagic1_5.04-5_i386.deb (--unpack):
trying to overwrite '/etc/magic.mime', which is also in package file 5.04-5
Selecting previously deselected package libdb4.8.
Unpacking libdb4.8 (from .../libdb4.8_4.8.30-2_i386.deb) ...
Processing triggers for man-db ...
Errors were encountered while processing:
E: Sub-process /usr/bin/dpkg returned an error code (1)

this is a debian squeeze problem, you can fix this by:

  1. (re)moving /etc/magic.mime
  2. install the libmagic package manually with force options

dpkg --force-overwrite -i /var/cache/apt/archives/libmagic1_5.04-5_i386.deb